fld.in <- 'WW_p851188_hy'
fcst <- '072'
ctl.name <- 'e19y15v52a17'
exp.name <- 'jing077ete'

ctl <- c()
exp <- c()
for (fn in list.files(paste0(ctl.name, '/', fld.in), pattern=paste0("*_", fcst, ".harmon"))){
    ctl <- rbind(ctl, scan(paste(ctl.name, fld.in, fn, sep='/'), quiet=TRUE)[-1])
    exp <- rbind(exp, scan(paste(exp.name, fld.in, fn, sep='/'), quiet=TRUE)[-1])
}

ctl.mean <- apply(ctl, 2, mean)
exp.mean <- apply(exp, 2, mean)
wn <- seq(1, ncol(ctl))

library(boot)
fcstmean <- function(x, v){
    return(mean(x[v]))
}
compute.ci <- function(x){
    ci.out <- c()
    for (j in 1:ncol(x)){
        ci.out <- rbind(ci.out, boot.ci(boot(x[,j], fcstmean, R=1000), type='perc')$percent[4:5])
    }
    return(ci.out)
}
ctl.ci <- compute.ci(ctl)
exp.ci <- compute.ci(exp)

p.width <- 10
p.height <- p.width/1.618
pdf(paste0('gdps_spec',fld.in,'_',fcst,'.pdf'), paper='special', width=p.width,
    height=p.height, bg='white')
default <- par(mar=c(5,7,4,2))
plot(1, 1, xlim=c(1, 1024), ylim=c(1e-5, 1e-3), type='n', xaxt='n', log='xy', yaxt='n',
     main='Vertical Motion Variance Spectrum at hybrid=0.85 (72h)', 
     xlab='Spherical Wavenumber', ylab='',
     cex.axis=1.5, cex.lab=1.5, cex.main=1.5)
axis(1, at=2^seq(0, 10), cex.axis=1.5)
axis(2, at=10^seq(-3, -5), cex.axis=1.5, las=1)
axis(2, at=c(seq(1e-5,1e-4,by=1e-5), seq(1e-4,1e-3,by=1e-4)), labels=FALSE, cex.axis=1.5, las=1)
mtext(expression('Spectral Variance (Pa'^{2}*' s'^{-2}*')'), 2, line=4.8, cex=1.5)
polygon(c(wn, rev(wn)), c(ctl.ci[,1], rev(ctl.ci[,2])),
        col=adjustcolor('blue', alpha.f=0.4), border=NA)
polygon(c(wn, rev(wn)), c(exp.ci[,1], rev(exp.ci[,2])),
        col=adjustcolor('red', alpha.f=0.4), border=NA)
lines(wn, apply(ctl, 2, mean), type='l', col='blue', lwd=3)
lines(wn, apply(exp, 2, mean), type='l', col='red', lwd=3)
legend('topleft', inset=0.02, legend=c('GEM Control', 'OFFB51'),
       col=c('blue', 'red'), lwd=3, cex=1.4)
par(default)
dev.off()
