fld.names <- c('pres', 'wind')
ctl.name <- 'e19y15v52a17'
exp.name <- 'jing077ete'
fcst <- 72

for (fld.name in fld.names){
    ctl.d <- scan(paste0('data/',ctl.name,'_scatter_',fld.name,'_',fld.name,'_',fcst,'h.txt'), quiet=TRUE)
    exp.d <- scan(paste0('data/',exp.name,'_scatter_',fld.name,'_',fld.name,'_',fcst,'h.txt'), quiet=TRUE)
    
    ctl.mod <- ctl.d[seq(1, length(ctl.d), by=2)]
    ctl.obs <- ctl.d[seq(2, length(ctl.d), by=2)]
    exp.mod <- exp.d[seq(1, length(exp.d), by=2)]
    exp.obs <- exp.d[seq(2, length(exp.d), by=2)]
    
    if (fld.name == 'pres'){
        labs <- seq(936, 1020, by=12)
        name.long <- 'Pressures'
        units.x <- 'Best Track Central Pressure (hPa)'
        units.y <- 'Predicted Central Pressure (hPa)'
    } else {
        labs <- seq(20, 90, by=5)
        name.long <- 'Winds'
        units.x <- expression('Best Track Wind Speed (m s'^{-1}*')')
        units.y <- expression('Predicted Wind Speed (m s'^{-1}*')')
    }
    plot.range <- c(min(labs), max(labs))
    
    postscript(paste0('scatter_',fld.name,'_',fcst,'.ps'), horiz=FALSE,
               paper='special', height=7, width=7.4, bg='white')
    default <- par(mar=c(5,6,4,2))
    plot(ctl.obs, ctl.mod, type='p', pch=19, col='blue', bg=NA,
         cex=1.5, xaxt='n', yaxt='n', xlim=plot.range, ylim=plot.range,
         main=paste0('Global Tropical Cyclone ',name.long,' (',fcst,'h)'),
         xlab=units.x, ylab=NA,
         cex.lab=1.6, cex.axis=1.6, cex.main=1.6,
         panel.first={
             abline(0, 1, lwd=2, col='grey', lty=2);
#         abline(lm(ctl.mod~ctl.obs), col='blue', lty=2, lwd=2);
#         abline(lm(exp.mod~exp.obs), col='red', lty=2, lwd=2);
         })
    for (i in 1:2){axis(i, at=labs, cex.axis=1.6, las=1)}
    mtext(units.y, 2, cex=1.6, line=4.5)
    points(exp.obs, exp.mod, pch=19, col='red', bg=NA, cex=1.5)
    par(default)
    dev.off()
}
